Subject: Re: [tproxy,regression] tproxy broken in 2.6.32

From: jamal <[email-masked]>
Date: Mon, 30 Nov 2009 07:15:59 -0500

On Sun, 2009-11-29 at 21:35 +0100, KOVACS Krisztian wrote:

> The story is that we really do want to deliver these packets locally, as
> if the destination IP address was locally configured on the host. The only
> way I know of to get the packet to ip_local_deliver() is by using a local
> route.

Aha, now i understand where both you and Patrick are coming from. So
you literally have to hit the main(or default) table in the reverse
source validation. How does the workaround (that you suggested) work
then? i.e you are going to fail the RTN_UNICAST test no matter what.

Dave, give me some short time to mull this over. I am not sure i like
the sysctl approach - we may have to just revert the whole thing
instead.

cheers,
jamal